For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • POSTGet One-off Hosted Session Link
    • API Errors
Get access
LogoLogo
API ReferenceHosted Sessions

Get One-off Hosted Session Link

POST
/hosted/sessions
POST
/hosted/sessions
$curl -X POST https://test.api.kota.io/hosted/sessions \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
> "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a"
>}'
1{
2 "link": "string",
3 "expiry": "2024-12-01T00:00:00Z"
4}

Retrieve a hosted link to authenticate an employee with the Kota Hosted. This link is valid for a single use and expires after 60 minutes.

Previous

Check employee eligibility for a group

Next

List all plans

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Request

This endpoint expects an object.
employer_idstringRequiredformat: "er_.+"
employee_idstringRequiredformat: "ee_.+"

Response

OK
linkstring
expirydatetime

Errors

404
Not Found Error